Fedora Linux Support Community & Resources Center
  #1  
Old 25th November 2012, 02:54 AM
rvhatten Offline
Registered User
 
Join Date: Nov 2012
Location: Illinois
Posts: 5
linuxfirefox
Fedora 17 Glib Update

I am getting an error during the update process of the glib-common file. Listed is the exact error message I getting when using YUM Extender:

Dependency Resolution Errors:

Package: glibc-common-2.15-57.fc17.i686 (@updates)
Requires: glibc = 2.15-57.fc17
Removing: glibc-2.15-57.fc17.i686 (@updates)
glibc = 2.15-57.fc17
Updated By: glibc-2.15-58.fc17.i686 (updates)
glibc = 2.15-58.fc17
Available: glibc-2.15-37.fc17.i686 (fedora)
glibc = 2.15-37.fc17

I have tried looking for the 2.15.57.fc17 version of the rpm but cannot find it, only the 37. I am a novice at linux.
I am wandering if there is an error in the install instructions?
Reply With Quote
  #2  
Old 25th November 2012, 07:36 AM
Darton Offline
Registered User
 
Join Date: Jan 2011
Location: Virginia, USA
Age: 38
Posts: 73
linuxchrome
Re: Fedora 17 Glib Update

2.15.58 is the current version. Somehow your glibc and glibc-common are out of sync. Try:

Code:
yum clean all
yum update glibc glibc-common
Reply With Quote
  #3  
Old 27th November 2012, 02:13 AM
rvhatten Offline
Registered User
 
Join Date: Nov 2012
Location: Illinois
Posts: 5
linuxfirefox
Re: Fedora 17 Glib Update

Darton,

I ran what you suggested and following is the Terminal responses:

[VH@Acer ~]$ su
Password:
[root@Acer VH]# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora google-earth rpmfusion-free rpmfusion-free-updates
: rpmfusion-nonfree rpmfusion-nonfree-updates updates
Cleaning up Everything
No delta-package files removed by presto
[root@Acer VH]# yum update glibc glibc-common
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/17/i386/metalink | 18 kB 00:00
fedora | 4.2 kB 00:00
google-earth | 951 B 00:00
rpmfusion-free | 3.3 kB 00:00
rpmfusion-free-updates | 3.3 kB 00:00
rpmfusion-nonfree | 3.3 kB 00:00
rpmfusion-nonfree-updates | 3.3 kB 00:00
updates/17/i386/metalink | 13 kB 00:00
updates | 4.7 kB 00:00
(1/2): fedora/primary_db | 12 MB 00:13
(2/2): updates/primary_db | 5.6 MB 00:09
(1/5): google-earth/primary | 1.1 kB 00:00
(2/5): rpmfusion-nonfree/primary_db | 119 kB 00:00
(3/5): rpmfusion-nonfree-updates/primary_db | 159 kB 00:01
(4/5): rpmfusion-free-updates/primary_db | 310 kB 00:01
(5/5): rpmfusion-free/primary_db | 335 kB 00:01
fedora/group_gz | 434 kB 00:01
rpmfusion-free/group_gz | 1.6 kB 00:00
rpmfusion-free-updates/group_gz | 1.6 kB 00:00
rpmfusion-nonfree/group_gz | 1.0 kB 00:00
rpmfusion-nonfree-updates/group_gz | 1.0 kB 00:00
updates/group_gz | 435 kB 00:00
google-earth 1/1
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package glibc.i686 0:2.15-57.fc17 will be updated
---> Package glibc.i686 0:2.15-58.fc17 will be an update
---> Package glibc-common.i686 0:2.15-57.fc17 will be updated
---> Package glibc-common.i686 0:2.15-58.fc17 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ========================================
Package Arch Version Repository Size
================================================== ================================================== ========================================
Updating:
glibc i686 2.15-58.fc17 updates 4.1 M
glibc-common i686 2.15-58.fc17 updates 11 M

Transaction Summary
================================================== ================================================== ========================================
Upgrade 2 Packages

Total download size: 15 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates/prestodelta | 1.0 MB 00:03
Processing delta metadata
Download delta size: 11 M
(1/2): glibc-2.15-57.fc17_2.15-58.fc17.i686.drpm | 1.0 MB 00:02
(2/2): glibc-common-2.15-57.fc17_2.15-58.fc17.i686.drpm | 10 MB 00:16
Finishing rebuild of rpms, from deltarpms
<locally rebuilding deltarpms> | 15 MB 00:27
Presto reduced the update size by 27% (from 15 M to 11 M).
Running Transaction Check
Running Transaction Test


Transaction Check Error:
package glibc-common-2.15-58.fc17.i686 is already installed

Error Summary
-------------

[root@Acer VH]#

After words I ran Yum Extender and it still shows glibc error.

Your thoughts?
Reply With Quote
  #4  
Old 27th November 2012, 05:55 AM
Darton Offline
Registered User
 
Join Date: Jan 2011
Location: Virginia, USA
Age: 38
Posts: 73
windows_7chrome
Re: Fedora 17 Glib Update

Looks like the problem is the unfinished transaction on glibc-common:

Quote:
Originally Posted by rvhatten View Post
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package glibc.i686 0:2.15-57.fc17 will be updated
---> Package glibc.i686 0:2.15-58.fc17 will be an update
---> Package glibc-common.i686 0:2.15-57.fc17 will be updated
---> Package glibc-common.i686 0:2.15-58.fc17 will be an update
--> Finished Dependency Resolution


Transaction Check Error:
package glibc-common-2.15-58.fc17.i686 is already installed
So as yum suggests, try:

Code:
yum complete-transaction
If that doesn't work, you can also try:

Code:
yum complete-transaction --cleanup-only
package-cleanup --cleandupes

Last edited by Darton; 27th November 2012 at 09:14 PM.
Reply With Quote
  #5  
Old 4th December 2012, 03:14 AM
rvhatten Offline
Registered User
 
Join Date: Nov 2012
Location: Illinois
Posts: 5
linuxfirefox
Re: Fedora 17 Glib Update

I have run the different commands as suggested and still won't fix issue.

Any other suggestions?
Reply With Quote
  #6  
Old 18th December 2012, 02:25 AM
rvhatten Offline
Registered User
 
Join Date: Nov 2012
Location: Illinois
Posts: 5
linuxfirefox
Re: Fedora 17 Glib Update

I re-ran these commands:

yum complete-transaction --cleanup-only
package-cleanup --cleandupes

and this is the responses regarding the glibc.

glibc-common-2.15-58.fc17.i686 is a duplicate with glibc-common-2.15-57.fc17.i686
glibc-common-2.15-58.fc17.i686 has missing requires of glibc = ('0', '2.15', '58.fc17')

Still cannot update, here is the response using update software:

glibc-common-2.15-57.fc17.i686 requires glibc = 2.15-57.fc17 : Success - empty transaction

Any suggestions?
Reply With Quote
  #7  
Old 18th December 2012, 01:58 PM
vallimar Online
Registered User
 
Join Date: Jul 2008
Posts: 1,059
windows_7chrome
Re: Fedora 17 Glib Update

It sounds like it thinks you have multiple glibc-common packages installed.
Try doing: rpm -qa | grep glibc | sort
You may need to manually delete a duplicate package. (rpm -e <package>)
I would try to delete the version that doesn't match the others, which seems like it may be the newer one.
Doing so should allow you to update both packages afterwards unless there are other errors.
Reply With Quote
  #8  
Old 27th December 2012, 03:22 AM
rvhatten Offline
Registered User
 
Join Date: Nov 2012
Location: Illinois
Posts: 5
linuxfirefox
Re: Fedora 17 Glib Update

Thank you vallimar, your suggestions worked and the Glib file updated correctly now.

I appreciate your help.
Reply With Quote
  #9  
Old 29th December 2012, 12:25 PM
mschwendt Offline
Registered User
 
Join Date: Jun 2010
Posts: 312
linuxfirefox
Re: Fedora 17 Glib Update

Note that there is a special tool for situations like this. It's called package-cleanup and is available in the yum-utils package. Run package-cleanup --dupes to check for duplicate packages, run package-cleanup --cleandupes to remove the older duplicate. The tool can do more, --help option and manual page are available, too.

yum check can also be helpful. Once you know the name of commands like these, it's easier to find old forum posts about them.

Btw, it's glibc not glib, which is a different library in a different package.
Reply With Quote
Reply

Tags
fedora, glib, update

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
glib update issue Chuck Crisler Using Fedora 1 3rd December 2008 10:59 PM
Help! How to update glib on FC6? hongqian EOL (End Of Life) Versions 10 4th December 2006 07:19 AM


Current GMT-time: 11:13 (Saturday, 25-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Bilsi Photos - Charkhari Instagram Photos - Tirthahalli Photos on Instagram